[TOC]


&rarr; zur [Startseite](chat_index.html) 

	
* * * 
 
## Der Server . . .

. . . wird folgendermaßen aufgerufen: `python chat_server.py`

![](server.jpg)

Unter Windows genügt auch ein Doppelklick auf das Symbol ![chat_server.py](server.gif)

Die Tastenkombination `<Strg> + <Untbr>` beendet den Chat-Server unter Windows
(Linux: `<Strg> + <C>`). Der Server protokolliert folgende Daten mit:

* Die TCP/IP-Adresse
  
* Den Port
  
* Den Nick-Name, er kann alternativ zur TCP/IP-Adresse + Port angezeigt werden, falls im Server-Skript die Variable `nick_flag` auf 1 gesetzt wurde. Die Voreinstellung ist `nick_flag = 0` (Anzeige von TCP/IP-Adresse + Port)
  
* Die Nachricht
  
  
* * *

## Der Chat-Client . . .

. . . wird aufgerufen durch Doppelklick auf ![chat_client.py](client.gif)

Alternativ funktioniert auch die Kommandozeile `python chat_client.py`, Ergebnis:

![Der Client](client.jpg)

Das Fenster besteht aus 6 Widgets: 4 Buttons, die Eingabezeile unten und das
Textfenster in der Mitte, in dem die Chat-Sitzung stattfindet. In die
Eingabezeile schreibt man seine Nachricht, per <Return> (bzw. <Enter>) geht's
zum Server. Alternativ geht auch der Button **Senden**. Die Bedeutung der drei
anderen Buttons:

* **Verbinden**: Versucht eine Verbindung mit dem Chat-Server herzustellen, beachte die Einstellungen!
  
* **Info**: Öffnet das Info-Fenster . . . 
  
* **Beenden**: Beendet den Chat-Client. Wurde die Sitzung mit dem Server noch nicht beendet, so übernimmt der Chat-Client diese Aufgabe.
  
  
Auf die letzten beiden Buttons kann man auch über das Popup-Menü zugreifen:
![Popup-Menu](popup.jpg)

Das Popup-Menü öffnet sich beim Klick auf die rechte Maustaste im Textfenster.
Neu ist hier der Punkt **Einstellungen**, es öffnet sich folgendes Fenster:

![Einstellungen](einstellungen_klein.jpg)

Die Angaben sind sinnvolle Voreinstellungen, falls man auf dem eigenen Rechner
chatten will . . . Ansonsten muss man sich die **TCP/IP-Adresse** des Chat-
Servers im Netzwerk geben lassen, gegebenenfalls natürlich auch den aktuellen
**Port**.

**Wichtiger Hinweis:** Damit der Chat-Client funktioniert, muss die Datei `chat_list.py` im gleichen Verzeichnis wie der Chat-Client stehen, sonst gibt's ein Problem! Die Datei `chat_list.py` ist im Zip-Archiv [sar_chat.zip](sar_chat.zip) enthalten. 

- - - -

&rarr; sp, 2016-11-27; zur [Startseite](chat_index.html) 

- - - -
- - - -

